import classnames from 'classnames';
import useWidont from '../common/hooks/useWidont';

import { H1 } from '../Typography';

import stylesheet from './styles.module.scss';

const Headline = (props) => {
  const { children, classes } = props;
  const {
    root: rootClass,
  } = classes;

  const text = useWidont(children);

  return (
    <div className={classnames('PibHeadline-root', 'headline', rootClass)}>
      <H1 classes={classes}>{text}</H1>
      <style jsx>{stylesheet}</style>
    </div>
  );
};

Headline.defaultProps = {
  classes: {},
};

export default Headline;
