import classnames from 'classnames';

import stylesheet from './styles.module.scss';

const SkipNav = props => {
  const { classes } = props;
  const {
    root: rootClass,
    action: actionClass,
  } = classes;

  return (
    <div className={classnames('PibSkipNav-root', 'skip-nav', rootClass)}>
      <ul className='skip-nav__list'>
        <li className={classnames('PibSkipNav-action', 'skip-nav__action', actionClass)}>
          <button
            className='skip-nav__link'
            onClick={() => {
              document.querySelector('#maincontent').focus();
            }}
          >Skip to main content
          </button>
        </li>
        <li className='skip-nav__action'>
          <button
            className='skip-nav__link'
            onClick={() => {
              document.querySelector('#sitemap').focus();
            }}
          >Skip to footer site map
          </button>
        </li>
      </ul>
      <style jsx>{stylesheet}</style>
    </div>
  );
};

export default SkipNav;

SkipNav.defaultProps = {
  classes: {},
};

export const SkipToMainContent = () => {
  return (<div id='maincontent' tabIndex='-1' />);
};

export const SkipToSitemap = () => {
  return (<div id='sitemap' tabIndex='-1' />);
};
