import getConfig from 'next/config';
import urls from 'Config/constants/urls';

const { publicRuntimeConfig } = getConfig();
const { appRoot, staging } = publicRuntimeConfig;

export default (page, urlReversingParams) => {
  if (!(page in urls)) { return [null, null]; }
  const conf = urls[page];

  const query = conf.query(urlReversingParams);

  const params = new URLSearchParams();
  for (const key in query) {
    params.append(key, query[key]);
  }

  let fixedAppRoot = appRoot[appRoot.length - 1] === '/' ? appRoot.substring(0, appRoot.length - 1) : appRoot;
  fixedAppRoot = fixedAppRoot[0] === '/' ? fixedAppRoot.substring(1, fixedAppRoot.length) : fixedAppRoot;

  const pagePath = conf.route(query);
  const fixedPagePath = fixedAppRoot === '' ? pagePath.substring(1, pagePath.length) : pagePath;
  const pageFileName = staging ? 'index.html' : '';

  const paramsString = params.toString() ? `?${params.toString()}` : '';

  return [
    `${conf.page}${paramsString}`,
    `/${fixedAppRoot}${fixedPagePath}${pageFileName}`,
  ];
};
