export default {
  vars: [
    {
      name: 'Fonts',
      entries: [
        {
          name: 'din',
          value: '\'din-2014\', \'Helvetica Neue\', Helvetica, Arial, sans-serif',
        },
        {
          name: 'georgia',
          value: 'Georgia, Times, \'Times New Roman\', serif',
        },
        {
          name: 'jubilat',
          value: '\'Jubilat\', Georgia, Times, \'Times New Roman\', serif',
        },
        {
          name: 'fancy-serif',
          value: '"Old Standard TT", serif',
        },
        {
          name: 'monospace',
          value: '"SFMono-Regular", "Menlo", "Monaco", "Consolas","Liberation Mono","Courier New", monospace',
        },
      ],
    },

    {
      name: 'Breakpoints',
      entries: [
        {
          name: 'min-width-xs',
          value: '350px',
        },
        {
          name: 'min-width-sm',
          value: '576px',
        },
        {
          name: 'min-width-md',
          value: '768px',
        },
        {
          name: 'min-width-lg',
          value: '992px',
        },
        {
          name: 'min-width-xl',
          value: '1200px',
        },
        {
          name: 'min-width-extra-small',
          value: '350px',
        },
        {
          name: 'min-min-width-sm',
          value: '576px',
        },
        {
          name: 'min-min-width-md',
          value: '768px',
        },
        {
          name: 'min-width-large',
          value: '992px',
        },
        {
          name: 'min-width-extra-large',
          value: '1200px',
        },
      ],
    },

    {
      name: 'Other Variables',
      entries: [
        {
          name: 'paragraph-width',
          value: '575px',
        },
        {
          name: 'box-shadow-lightest',
          value: '0 1px 2px rgba(218, 218, 218, 0.10), 0 1px 2px rgba(204, 201, 201, 0.20)',
        },
        {
          name: 'box-shadow-light',
          value: '0 1px 2px rgba(218, 218, 218, 0.16), 0 1px 2px rgba(204, 201, 201, 0.23)',
        },
        {
          name: 'box-shadow-medium',
          value: '0 7px 6px rgba(230, 230, 230, 0.25), 0 4px 7px rgba(0,0,0,0.22)',
        },
        {
          name: 'box-shadow-heavy',
          value: '0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22)',
        },
      ],
    },

  ],
  mixins: [
    {
      name: 'Layout Mixins',
      entries: [
        {
          name: 'paragraph-width',
          value: 'Sets max width to $paragraph-width',
        },
        {
          name: 'content-small',
          value: 'Sets max width to 400px',
        },
        {
          name: 'content-fit',
          value: 'Alias for paragraph-width',
        },
        {
          name: 'content-large',
          value: 'Sets max width to 800px',
        },
        {
          name: 'content-extra-large',
          value: 'Sets max width to 800px',
        },
        {
          name: 'content-full-width',
          value: 'Sets max width to 100%',
        },
      ],
    },
    {
      name: 'Typography Mixins',
      entries: [
        {
          name: 'heading-margins',
          value: 'Margin and paragraph widths for headings',
        },
        {
          name: 'h1',
          value: 'Base styles for h1',
        },
        {
          name: 'h1-xl',
          value: 'XL breakpoint styles for h1',
        },
        {
          name: 'h1-lg',
          value: 'LG breakpoint styles for h1',
        },
        {
          name: 'h1-md',
          value: 'MD breakpoint styles for h1',
        },
        {
          name: 'h1-sm',
          value: 'SM breakpoint styles for h1',
        },
        {
          name: 'h1-xs',
          value: 'XS breakpoint styles for h1',
        },
        {
          name: 'h1-margins',
          value: 'Margins for h1',
        },
        {
          name: 'h1-all',
          value: 'Combines all h1 mixins at set breakpoints',
        },
        {
          name: 'h2',
          value: 'Base styles for h2',
        },
        {
          name: 'h2-bolder',
          value: 'Bolder additions for h2 variant',
        },
        {
          name: 'h2-xs',
          value: 'XS breakpoint styles for h2',
        },
        {
          name: 'h2-all',
          value: 'Combines all h2 mixins at set breakpoints',
        },
        {
          name: 'h3',
          value: 'Base styles for h3',
        },
        {
          name: 'h3-lighter',
          value: 'Lighter additions for h3 variant',
        },
        {
          name: 'h3-xs',
          value: 'XS breakpoint styles for h3',
        },
        {
          name: 'h3-all',
          value: 'Combines all h3 mixins at set breakpoints',
        },
        {
          name: 'h4',
          value: 'Base styles for h4',
        },
        {
          name: 'h4-lighter',
          value: 'Lighter additions for h4 variant',
        },
        {
          name: 'h5',
          value: 'Base styles for h5',
        },
        {
          name: 'h5-bolder',
          value: 'Bolder additions for h5 variant',
        },
        {
          name: 'h5-xs',
          value: 'XS breakpoint styles for h5',
        },
        {
          name: 'h5-all',
          value: 'Combines all h5 mixins at set breakpoints',
        },
        {
          name: 'h6',
          value: 'Base styles for h6',
        },
        {
          name: 'h6-bolder',
          value: 'Bolder additions for h6 variant',
        },
        {
          name: 'body-text',
          value: 'Base styles for body text',
        },
        {
          name: 'body-text-sans',
          value: 'Style additions for sans-serif body variant',
        },
        {
          name: 'body-margins',
          value: 'Margin and paragraph widths for body text',
        },
        {
          name: 'anchor-tag',
          value: 'Base styles for links',
        },
        {
          name: 'code-text',
          value: 'Base styles for in-line code text',
        },
      ],
    },
    {
      name: 'Other Mixins',
      entries: [
        {
          name: 'clearfix',
          value: 'Clear any floats at the end of this element',
        },
        {
          name: 'center-clear',
          value: 'Clear center',
        },
        {
          name: 'margin-auto',
          value: 'Explicity set margin-left and margin-right to auto',
        },
        {
          name: 'header-padding',
          value: 'Padding for header elements',
        },
      ],
    },
  ],
};
